include(CMakeFindDependencyMacro)

# Find dependencies
set(DISABLE_OMP "")
if (NOT DISABLE_OMP)
  find_dependency(OpenMP REQUIRED)
endif()
find_dependency(LAPACK REQUIRED)
find_dependency(BLAS REQUIRED)

# Compute paths
get_filename_component(SPARROW_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

# Generate Target
include("${CMAKE_CURRENT_LIST_DIR}/xtbTargets.cmake")


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

check_required_components(xtb)

